import java.applet.Applet;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.Frame;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;

import quadbase.ChartAPI.QbChart;
import quadbase.util.ColorSpectrum;
import quadbase.util.I3DPropertySet;

public class HeatMap extends Applet {

	static final long serialVersionUID = 1;

	public static void main(String[] args) {
		try {
			HeatMap chart = new HeatMap();
			Frame frame = new Frame();
			frame.setLayout(new BorderLayout());
			frame.add("Center", chart.doHeatMapChart(null));
			frame.addWindowListener(new WindowAdapter() {
				@Override
				public void windowClosing(WindowEvent e) {
					System.exit(0);
				}
			});
			frame.setSize(800, 600);
			frame.setVisible(true);

		} catch (Exception ex) {
			ex.printStackTrace();
		}
	}

	@Override
	public void init() {
		setLayout(new BorderLayout());
		add("Center", doHeatMapChart(this));
	}

	Component doHeatMapChart(Applet parent) {
		// Do not use EspressManager
		QbChart.setEspressManagerUsed(false);

		// Open the template
		QbChart chart = new QbChart(parent, // container 
				"HeatMap.cht"); // template

		double[] heatMapValues = { 3, 6 };
		Color[] heatMapColors = { Color.green, Color.yellow, Color.red };
		ColorSpectrum heatMapColorSpectrum = new ColorSpectrum(heatMapColors, heatMapValues);
		I3DPropertySet set = chart.geth3DProperties();
		set.setColorSpectrum(heatMapColorSpectrum);

		// Show chart in Viewer
		return chart;

	}

}
